%if 0%{?el7}
%define dist .el7
%endif

Name:		wandio
Version:    4.2.3
Release:	1%{?dist}
Summary:	A software library written in C that provides an API

Group:		Applications/Internet
License:	LGPLv3
URL:		https://research.wand.net.nz/software/libwandio.php
Source0:	https://research.wand.net.nz/software/wandio/%{name}-%{version}.tar.gz

BuildRequires:	bzip2-devel zlib-devel lzo-devel xz-devel libzstd-devel libcurl-devel
BuildRequires:  gcc gcc-c++

%description
Libwandio is a software library written in C that provides an API for transparently reading from and writing to files using a variety of supported compression methods. Provided pthreads are available, I/O performance will be improved by doing any compression and/or decompression using a separate thread.

%package -n lib%{name}-devel
Summary:    libraries for wandio
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}

%description -n lib%{name}-devel
libraries for wandio

%package -n lib%{name}-static
Summary::    libraries for wandio
Group:      System Environment/Libraries

%description -n lib%{name}-static
libraries for wandio

%prep
%setup -q


%build
%configure \
	--with-bzip2 \
	--with-zlib \
	--with-lzo \
	--with-lzma \
	--with-zstd \
	--with-http

make %{?_smp_mflags}


%install
%make_install

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%doc AUTHORS INSTALL ChangeLog README
%{!?_licensedir:%global license %%doc}
%license COPYING.LESSER COPYING
%{_bindir}/wandiocat
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/wandiocat.1*

%files -n lib%{name}-devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h

%files -n lib%{name}-static
%{_libdir}/lib%{name}.a

%changelog
* Thu Jun 04 2020 momo-i <webmaster@momo-i.org> - 4.2.3-1
- Update to 4.2.3

* Tue May 07 2019 momo-i <webmaster@momo-i.org> - 4.1.2-1
- Update to 4.1.2

* Fri Jul 13 2018 momo-i <webmaster@momo-i.org>
- Initial rpm release.

